Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## symbol
Class WindowCount

    java.lang.Object
      symbol.WindowCount

    public class WindowCount

extends Object

Title: WindowCount Description: A program to find the distribution of nmers in a fasta library Copyright: Copyright (c) 2001 Company: AgResearch

Version:
  1.0
Author:
  Mark Schreiber, Matthew Pocock

Constructor Summary
`WindowCount()`

Method Summary
`static void` | `main(String[] args)`
`static void` | `output(Double d, org.biojava.bio.symbol.AtomicSymbol s)`
`static org.biojava.bio.seq.db.SequenceDB` | `readSequenceDB(File seqFile, org.biojava.bio.symbol.Alphabet alpha)` Create a sequence database from a fasta file.
`static void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowCount

    public WindowCount()

Method Detail

### main

    public static void main(String[] args)

### readSequenceDB

    public static org.biojava.bio.seq.db.SequenceDB readSequenceDB(File seqFile,
                                                                   org.biojava.bio.symbol.Alphabet alpha)
                                                            throws Exception

  Create a sequence database from a fasta file.

  Throws:
    `Exception`

### output

    public static void output(Double d,
                              org.biojava.bio.symbol.AtomicSymbol s)

### usage

    public static void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD